Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.number
Class Numberer_de

    java.lang.Object
      net.sf.saxon.number.Numberer_en
          net.sf.saxon.number.Numberer_de

All Implemented Interfaces:
  Serializable, Numberer

    public class Numberer_de

extends Numberer_en

Class Numberer_de is designed simply to demonstrate how to write a number formatter for a different language. This one will be activated for language="de", format="eins", letter-value="traditional"

Author:
  Michael H. Kay
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.number.Numberer_en
`LOWER_CASE, TITLE_CASE, UPPER_CASE`

Constructor Summary
`Numberer_de()`

Method Summary
`String` | `dayName(int day, int minWidth, int maxWidth)` Get a day name or abbreviation
`String` | `getCalendarName(String code)` Get the name of a calendar
`String` | `getEraName(int year)` Get the name for an era (e.g.
`String` | `getOrdinalSuffixForDateTime(String component)` Get an ordinal suffix for a particular component of a date/time.
`String` | `monthName(int month, int minWidth, int maxWidth)` Get a month name or abbreviation
`String` | `toOrdinalWords(String ordinalParam, long number, int wordCase)` Show an ordinal number as German words (for example, Einundzwanzigste)
`String` | `toWords(long number)` Show the number as words in title case.

Methods inherited from class net.sf.saxon.number.Numberer_en
`format, getTimezoneName, halfDayName, setCountry, toRoman, toWords`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Numberer_de

    public Numberer_de()

Method Detail

### toWords

    public String toWords(long number)

  Show the number as words in title case. (We choose title case because the result can then be converted algorithmically to lower case or upper case).

  Overrides:
    `toWords` in class `Numberer_en`

### toOrdinalWords

    public String toOrdinalWords(String ordinalParam,
                                 long number,
                                 int wordCase)

  Show an ordinal number as German words (for example, Einundzwanzigste)

  Overrides:
    `toOrdinalWords` in class `Numberer_en`

### monthName

    public String monthName(int month,
                            int minWidth,
                            int maxWidth)

  Get a month name or abbreviation

  Specified by:
    `monthName` in interface `Numberer`
  Overrides:
    `monthName` in class `Numberer_en`
  Parameters:
    `month` - The month number (1=January, 12=December)
    `minWidth` - The minimum number of characters
    `maxWidth` - The maximum number of characters

### dayName

    public String dayName(int day,
                          int minWidth,
                          int maxWidth)

  Get a day name or abbreviation

  Specified by:
    `dayName` in interface `Numberer`
  Overrides:
    `dayName` in class `Numberer_en`
  Parameters:
    `day` - The month number (1=Sunday, 7=Saturday)
    `minWidth` - The minimum number of characters
    `maxWidth` - The maximum number of characters

### getOrdinalSuffixForDateTime

    public String getOrdinalSuffixForDateTime(String component)

  Get an ordinal suffix for a particular component of a date/time.

  Specified by:
    `getOrdinalSuffixForDateTime` in interface `Numberer`
  Overrides:
    `getOrdinalSuffixForDateTime` in class `Numberer_en`
  Parameters:
    `component` - the component specifier from a format-dateTime picture, for example "M" for the month or "D" for the day.
  Returns:
    a string that is acceptable in the ordinal attribute of xsl:number to achieve the required ordinal representation. For example, "-e" for the day component in German, to have the day represented as "dritte August".

### getEraName

    public String getEraName(int year)

  Get the name for an era (e.g. "BC" or "AD")

  Specified by:
    `getEraName` in interface `Numberer`
  Overrides:
    `getEraName` in class `Numberer_en`
  Parameters:
    `year` - the proleptic gregorian year, using "0" for the year before 1AD

### getCalendarName

    public String getCalendarName(String code)

  Get the name of a calendar

  Specified by:
    `getCalendarName` in interface `Numberer`
  Overrides:
    `getCalendarName` in class `Numberer_en`
  Parameters:
    `code` - The code representing the calendar as in the XSLT 2.0 spec, e.g. AD for the Gregorian calendar

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.